Loading...
Searching...
No Matches
uhd::features::adc_self_calibration_iface Class Referenceabstract

`#include <uhd/features/adc_self_calibration_iface.hpp>`

Inheritance diagram for uhd::features::adc_self_calibration_iface:
[legend]
Collaboration diagram for uhd::features::adc_self_calibration_iface:
[legend]

## Public Types

using | sptr = std::shared_ptr<adc_self_calibration_iface>
Public Types inherited from uhd::features::discoverable_feature
enum | feature_id_t { RESERVED0 , RESERVED1 , FPGA_LOAD_NOTIFICATION , ADC_SELF_CALIBRATION , REF_CLK_CALIBRATION , TRIG_IO_MODE , GPIO_POWER , SPI_GETTER_IFACE , INTERNAL_SYNC , GPS }
| An enum of all features supported by the driver. When creating a new. More...
using | sptr = std::shared_ptr<discoverable_feature>

## Public Member Functions

std::string | get_feature_name () const
| Returns a human-readable string name of this feature.
virtual | ~adc_self_calibration_iface ()=default
virtual void | run (const size_t chan)=0
| Runs calibration on the specified channel. This will momentarily.
virtual void | run (const size_t chan, const uhd::device_addr_t params)=0
| Runs calibration on the specified channel but takes custom calibration.
Public Member Functions inherited from uhd::features::discoverable_feature
virtual | ~discoverable_feature ()=default

## Static Public Member Functions

static discoverable_feature::feature_id_t | get_feature_id ()

## Detailed Description

Interface for running ADC self-calibration on supported devices. Currently, only the X4xx series of devices supports calibrating the internal ADCs.

## Member Typedef Documentation

## sptr

using uhd::features::adc_self_calibration_iface::sptr = std::shared_ptr<adc_self_calibration_iface>

## Constructor & Destructor Documentation

## ~adc_self_calibration_iface()

virtual uhd::features::adc_self_calibration_iface::~adc_self_calibration_iface | ( |  | ) |

virtual default

## Member Function Documentation

## get_feature_id()

discoverable_feature::feature_id_t uhd::features::adc_self_calibration_iface::get_feature_id | ( |  | ) |

inline static

## get_feature_name()

std::string uhd::features::adc_self_calibration_iface::get_feature_name | ( |  | ) | const

inline virtual

Returns a human-readable string name of this feature.

Implements uhd::features::discoverable_feature.

## run() [1/2]

virtual void uhd::features::adc_self_calibration_iface::run | ( | const size_t | chan | ) |

pure virtual

Runs calibration on the specified channel. This will momentarily.

## run() [2/2]

virtual void uhd::features::adc_self_calibration_iface::run | ( | const size_t | chan,
|  | const uhd::device_addr_t | params )

pure virtual

Runs calibration on the specified channel but takes custom calibration.

The documentation for this class was generated from the following file:

- adc_self_calibration_iface.hpp